﻿using System.Collections.Generic;

namespace SSISFileWatcherTask100
{
    internal static class Keys
    {
        public static string InputFolderPath = "InputFolderPath";
        public static string InputType = "InputType";
        public static string FileFilter = "FileFilter";
        public static string IncludeSubdirectories = "IncludeSubdirectories";
        public static string Timeout = "Timeout";
        public static string FireOn = "FireOn";

        public static string OutputVariableName = "OutputVariableName";
        public static string TRUE = "true";
        public static string FALSE = "false";

        public static Dictionary<string, string> Actions = new Dictionary<string, string>
                                                               {
                                                                   {"OnCreate", "When you create (the file may be generated, copied or moved from a folder to another"},
                                                                   {"OnChanged", "When the properties of the file are changed"},
                                                                   {"OnDelete", "When the file is deleted"},
                                                                   {"OnRename", "When the file is renamed"}
                                                               };
    }
}